ISIS - Bug #2400

MiniRF - Baseline mode problem with level2 map projected images
2016-02-19 03:24 PM - Tammy Becker

Status: Closed

Priority: High

Assignee: Kristin Berry

Category: Applications

Target version: 3.4.13 (FY16 R3 2016-08-31 Aug)

Impact: miniRF level 2 images will now have Software Version:
valid RA, DEC values and also be usable
with programs like cam2map which
access the camera.

Description

The sensor model is unable to calculate and report lat/lon information in areas across a map projected "LXB" X-band/Baseline
MiniRF radar image in qview, campt, etc.

campt fails miserably with the following error:

campt from=LXB_00825_1CD_XIU_88S020_V1_S1_DT_ppd512_L2_CENTERLOC.cub
ERROR Requested position does not project in camera model; no surface intersection.

This problem also impacts Chandrayaan-1 MiniRF Baseline data.

A small map projected image has been created for test purposes:
/work/projects/Iro/minirf/tbecker/LRO-Xband/TestCam2MapFix/LXB_00825_1CD_XIU_88S020_V1_S1_DT ppd512_L2 CENTERLO
C.cub

Randy Kirk and Janet Barrett have contributed the fix.

History

#1 - 2016-07-12 07:48 AM - Stuart Sides
- Target version set to 3.4.13 (FY16 R3 2016-08-31 Aug)

#2 - 2016-07-12 08:20 AM - Stuart Sides
- Assignee changed from Makayla Shepherd to Kristin Berry

#3 - 2016-07-12 02:04 PM - Kristin Berry

- Status changed from Acknowledged to In Progress

#4 - 2016-07-13 02:18 PM - Kristin Berry

I'm not sure if the comment on line 100 in RadarSlantMap is incorrect? "If the ground range guesses at the 2 extremes of the image are equal or they
have the same sign, then the ground range cannot be solved for." The algorithm seems like it works for min and max GroundRanges with the same
sign, and removing this restriction results in lat/lons being calculated correctly by the camera in applications like campt. I'll need to investigate this
more to make sure it's doing the right thing, but current results are promising.

Edit: Unfortunately, the comment is correct and the "rejection” step is carried out in every reference | could find to this root-finding algorithm. The only

reason that commenting out the condition seemed to work is that campt doesn't return any values affected by RadarSlantRange's
SetUndistortedFocalPlane calculations.
#5 - 2016-07-14 01:06 PM - Kristin Berry

The Van Wijngaarden-Dekker-Brent method requires starting endpoints on either side of zero. We are not supplying this right now, so it fails to find a
root. I'm looking into expanding the initial range so that this failure will not occur.

Edit: New plan is to send an email to Tammy & Bob to understand all the cases in which this new patch still fails (is it more than just CH1 level 2
xBand cubes in Base?) And then send an email to Randy about (probably) adjusting the bounds of the root-finding method.

#6 - 2016-07-19 04:13 PM - Kristin Berry

Picking things up from where Makayla left off, the problem actually blocking this patch from getting checked in was erratic RA/DEC values for level 2
images.

The variables that store RA (m_ra) and DEC (m_dec) in the Sensor class were never being set for level 2 images. | added a call to the camera's
Sensor->SetGround in RadarGroundMap's SetGround to set these values. All other "GroundMap" classes in ISIS have this call.

Now, all RA/DEC values are as expected for Makayla's test images. Most importantly, RA/DEC values match between level 1 and level 2 images
when the same ground point is selected for each.

#7 - 2016-07-19 04:25 PM - Kristin Berry
- Impact updated

#8 - 2016-07-19 04:36 PM - Kristin Berry
All tests pass, only a few needed to be modified after applying Randy's patch. Fixing the RA/DEC problem didn't change any test values.

#9 - 2016-07-21 12:48 PM - Kristin Berry

- Status changed from In Progress to Resolved

This is built and ready for testing at:
setisis /work/projects/isis/latest/m02400_kberry/isis

#10 - 2016-07-28 04:06 PM - Kristin Berry
- Impact updated

#11 - 2016-08-05 12:00 PM - Kristin Berry

- Status changed from Resolved to In Progress

Updating to include Randy's new "bracket expansion" method. Will re-set to 'Resolved’ when added and all tests are passing.

#12 - 2016-08-09 02:04 PM - Kristin Berry

- Status changed from In Progress to Resolved

This is now updated with the suggestion from Randy's last email and ready for testing again. The only change in behavior from the last update (which
added RAs & DECs to the patch) should be that campt now works on
/work/projects/isis/latest/m02400_kberry/test_data/2400/CH1_xBand/CH1_xBandLvI2.cub (the only example of a campt post-patch failure | have.)

To test, setisis to:
/work/projects/isis/latest/m02400_kberry/isis

Makayla's test data is in: /work/projects/isis/latest/m02400_kberry/test_data/2400
#14 - 2016-08-16 11:48 AM - Tammy Becker

- Status changed from Resolved to Closed

I've tested samplings of LXB (including LRO and CH1), LXZ and LSZ without a problem.

Thank you!
